Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236269 - RFE: should not be able to unload cmirror-kernel module with active cmirrors
Summary: RFE: should not be able to unload cmirror-kernel module with active cmirrors
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: cmirror
Version: 4
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jonathan Earl Brassow
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-12 19:27 UTC by Corey Marthaler
Modified: 2010-04-27 15:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-27 15:00:54 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2007-04-12 19:27:59 UTC
Description of problem:
It is currently allowed and thus causes havoc when attempting cmirror operations
down the road.

Comment 1 Jonathan Earl Brassow 2007-07-11 16:40:39 UTC
[root@neo-04 ~]# lvs vg1/mirror
  LV     VG   Attr   LSize  Origin Snap%  Move Log         Copy%
  mirror vg1  mwi-a- 12.00M                    mirror_mlog 100.00
[root@neo-04 ~]# vgs vg1
  VG   #PV #LV #SN Attr   VSize  VFree
  vg1    5   5   0 wz--nc 28.50G 27.98G
[root@neo-04 ~]# uname -a
Linux neo-04.lab.msp.redhat.com 2.6.9-55.16.ELsmp #1 SMP Tue Jul 3 16:25:56 EDT
2007 i686 i686 i386 GNU/Linux
[root@neo-04 ~]# rmmod dm-cmirror
ERROR: Module dm_cmirror is in use


Comment 2 Corey Marthaler 2007-08-24 13:55:57 UTC
fix verified in cmirror-1.0.1-1/cmirror-kernel-2.6.9-33.2.

Comment 4 Alasdair Kergon 2010-04-27 15:00:54 UTC
Assuming this VERIFIED fix got released.  Closing.
Reopen if it's not yet resolved.


Note You need to log in before you can comment on or make changes to this bug.